package com.gyee.wisdom.common.data.exception;


import com.gyee.wisdom.common.enums.ResultCode;

/**
 * Package: com.gyee.wisdom.admin.advice
 * Description： 产品化
 * Author:  ShiLin
 * Date: Created in 2018/4/10 16:52
 * Company: 公司
 * Copyright: Copyright (c) 2018
 * Version: 0.0.1
 * Modified By:
 */
public class Result<T> {

    private int code;
    private String msg;
    private T data;

    public Result() {
    }

    public Result(ResultCode resultCode, T data) {
        this(resultCode);
        this.data = data;
    }

    public Result(ResultCode resultCode) {
        this.code = resultCode.getCode();
        this.msg = resultCode.getMsg();
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Object getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
